Adds a note to a project. Notes capture feedback, meeting summaries, or observations with a full audit trail.

Usage Example

POST /api/v1/projects/123/notes
Content-Type: application/json

{
  "content": "Kickoff call complete. Vendor wants to close before year end."
}
Path Parameters
  • id
    Type: string
    required

    Project ID

Body·
required

Note content

Body for POST /api/v1/projects/{id}/notes.

  • content
    Type: string
    min length:  
    1
    max length:  
    10000
    required

    The note text. Required, 1-10000 characters.

Responses
  • 201

    Note added successfully

  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/projects/{id}/notes
curl 'https://app.propstreet.com/api/v1/projects/{id}/notes' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "content": ""
}'
No Body